Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 539:75f3e594d4a7
prev537:d924be49e192
next542:96c5494e02fd
author nkeynes
date Wed Nov 21 11:40:15 2007 +0000 (12 years ago)
permissions -rw-r--r--
last change Add support for the darwin ABI
file annotate diff log raw
1.1 --- a/configure Tue Nov 20 10:27:58 2007 +0000
1.2 +++ b/configure Wed Nov 21 11:40:15 2007 +0000
1.3 @@ -703,6 +703,8 @@
1.4 LIBPNG_LIBS
1.5 GTK_CFLAGS
1.6 GTK_LIBS
1.7 +GUI_CARBON_TRUE
1.8 +GUI_CARBON_FALSE
1.9 GUI_GTK_TRUE
1.10 GUI_GTK_FALSE
1.11 BUILD_SH4X86_TRUE
1.12 @@ -4942,6 +4944,220 @@
1.13
1.14
1.15
1.16 +# On IRIX 5.3, sys/types and inttypes.h are conflicting.
1.17 +
1.18 +
1.19 +
1.20 +
1.21 +
1.22 +
1.23 +
1.24 +
1.25 +
1.26 +for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
1.27 + inttypes.h stdint.h unistd.h
1.28 +do
1.29 +as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
1.30 +{ echo "$as_me:$LINENO: checking for $ac_header" >&5
1.31 +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
1.32 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
1.33 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.34 +else
1.35 + cat >conftest.$ac_ext <<_ACEOF
1.36 +/* confdefs.h. */
1.37 +_ACEOF
1.38 +cat confdefs.h >>conftest.$ac_ext
1.39 +cat >>conftest.$ac_ext <<_ACEOF
1.40 +/* end confdefs.h. */
1.41 +$ac_includes_default
1.42 +
1.43 +#include <$ac_header>
1.44 +_ACEOF
1.45 +rm -f conftest.$ac_objext
1.46 +if { (ac_try="$ac_compile"
1.47 +case "(($ac_try" in
1.48 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.49 + *) ac_try_echo=$ac_try;;
1.50 +esac
1.51 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.52 + (eval "$ac_compile") 2>conftest.er1
1.53 + ac_status=$?
1.54 + grep -v '^ *+' conftest.er1 >conftest.err
1.55 + rm -f conftest.er1
1.56 + cat conftest.err >&5
1.57 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.58 + (exit $ac_status); } && {
1.59 + test -z "$ac_c_werror_flag" ||
1.60 + test ! -s conftest.err
1.61 + } && test -s conftest.$ac_objext; then
1.62 + eval "$as_ac_Header=yes"
1.63 +else
1.64 + echo "$as_me: failed program was:" >&5
1.65 +sed 's/^/| /' conftest.$ac_ext >&5
1.66 +
1.67 + eval "$as_ac_Header=no"
1.68 +fi
1.69 +
1.70 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.71 +fi
1.72 +ac_res=`eval echo '${'$as_ac_Header'}'`
1.73 + { echo "$as_me:$LINENO: result: $ac_res" >&5
1.74 +echo "${ECHO_T}$ac_res" >&6; }
1.75 +if test `eval echo '${'$as_ac_Header'}'` = yes; then
1.76 + cat >>confdefs.h <<_ACEOF
1.77 +#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
1.78 +_ACEOF
1.79 +
1.80 +fi
1.81 +
1.82 +done
1.83 +
1.84 +
1.85 +if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
1.86 + { echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
1.87 +echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6; }
1.88 +if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
1.89 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.90 +fi
1.91 +{ echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
1.92 +echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6; }
1.93 +else
1.94 + # Is the header compilable?
1.95 +{ echo "$as_me:$LINENO: checking Carbon/Carbon.h usability" >&5
1.96 +echo $ECHO_N "checking Carbon/Carbon.h usability... $ECHO_C" >&6; }
1.97 +cat >conftest.$ac_ext <<_ACEOF
1.98 +/* confdefs.h. */
1.99 +_ACEOF
1.100 +cat confdefs.h >>conftest.$ac_ext
1.101 +cat >>conftest.$ac_ext <<_ACEOF
1.102 +/* end confdefs.h. */
1.103 +$ac_includes_default
1.104 +#include <Carbon/Carbon.h>
1.105 +_ACEOF
1.106 +rm -f conftest.$ac_objext
1.107 +if { (ac_try="$ac_compile"
1.108 +case "(($ac_try" in
1.109 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.110 + *) ac_try_echo=$ac_try;;
1.111 +esac
1.112 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.113 + (eval "$ac_compile") 2>conftest.er1
1.114 + ac_status=$?
1.115 + grep -v '^ *+' conftest.er1 >conftest.err
1.116 + rm -f conftest.er1
1.117 + cat conftest.err >&5
1.118 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.119 + (exit $ac_status); } && {
1.120 + test -z "$ac_c_werror_flag" ||
1.121 + test ! -s conftest.err
1.122 + } && test -s conftest.$ac_objext; then
1.123 + ac_header_compiler=yes
1.124 +else
1.125 + echo "$as_me: failed program was:" >&5
1.126 +sed 's/^/| /' conftest.$ac_ext >&5
1.127 +
1.128 + ac_header_compiler=no
1.129 +fi
1.130 +
1.131 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.132 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
1.133 +echo "${ECHO_T}$ac_header_compiler" >&6; }
1.134 +
1.135 +# Is the header present?
1.136 +{ echo "$as_me:$LINENO: checking Carbon/Carbon.h presence" >&5
1.137 +echo $ECHO_N "checking Carbon/Carbon.h presence... $ECHO_C" >&6; }
1.138 +cat >conftest.$ac_ext <<_ACEOF
1.139 +/* confdefs.h. */
1.140 +_ACEOF
1.141 +cat confdefs.h >>conftest.$ac_ext
1.142 +cat >>conftest.$ac_ext <<_ACEOF
1.143 +/* end confdefs.h. */
1.144 +#include <Carbon/Carbon.h>
1.145 +_ACEOF
1.146 +if { (ac_try="$ac_cpp conftest.$ac_ext"
1.147 +case "(($ac_try" in
1.148 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.149 + *) ac_try_echo=$ac_try;;
1.150 +esac
1.151 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.152 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.153 + ac_status=$?
1.154 + grep -v '^ *+' conftest.er1 >conftest.err
1.155 + rm -f conftest.er1
1.156 + cat conftest.err >&5
1.157 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.158 + (exit $ac_status); } >/dev/null && {
1.159 + test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
1.160 + test ! -s conftest.err
1.161 + }; then
1.162 + ac_header_preproc=yes
1.163 +else
1.164 + echo "$as_me: failed program was:" >&5
1.165 +sed 's/^/| /' conftest.$ac_ext >&5
1.166 +
1.167 + ac_header_preproc=no
1.168 +fi
1.169 +
1.170 +rm -f conftest.err conftest.$ac_ext
1.171 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
1.172 +echo "${ECHO_T}$ac_header_preproc" >&6; }
1.173 +
1.174 +# So? What about this header?
1.175 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
1.176 + yes:no: )
1.177 + { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by the preprocessor!" >&5
1.178 +echo "$as_me: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
1.179 + { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the compiler's result" >&5
1.180 +echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the compiler's result" >&2;}
1.181 + ac_header_preproc=yes
1.182 + ;;
1.183 + no:yes:* )
1.184 + { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&5
1.185 +echo "$as_me: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&2;}
1.186 + { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: check for missing prerequisite headers?" >&5
1.187 +echo "$as_me: WARNING: Carbon/Carbon.h: check for missing prerequisite headers?" >&2;}
1.188 + { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&5
1.189 +echo "$as_me: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&2;}
1.190 + { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: section \"Present But Cannot Be Compiled\"" >&5
1.191 +echo "$as_me: WARNING: Carbon/Carbon.h: section \"Present But Cannot Be Compiled\"" >&2;}
1.192 + { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's result" >&5
1.193 +echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's result" >&2;}
1.194 + { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: in the future, the compiler will take precedence" >&5
1.195 +echo "$as_me: WARNING: Carbon/Carbon.h: in the future, the compiler will take precedence" >&2;}
1.196 +
1.197 + ;;
1.198 +esac
1.199 +{ echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
1.200 +echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6; }
1.201 +if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
1.202 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.203 +else
1.204 + ac_cv_header_Carbon_Carbon_h=$ac_header_preproc
1.205 +fi
1.206 +{ echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
1.207 +echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6; }
1.208 +
1.209 +fi
1.210 +if test $ac_cv_header_Carbon_Carbon_h = yes; then
1.211 +
1.212 + HAVE_CARBON='yes'
1.213 + APPLE_BUILD='yes'
1.214 + LIBS="$LIBS -framework OpenGL -framework AGL -framework Carbon"
1.215 +
1.216 +cat >>confdefs.h <<\_ACEOF
1.217 +#define HAVE_CARBON 1
1.218 +_ACEOF
1.219 +
1.220 +
1.221 +cat >>confdefs.h <<\_ACEOF
1.222 +#define APPLE_BUILD 1
1.223 +_ACEOF
1.224 +
1.225 +
1.226 +fi
1.227 +
1.228 +
1.229 +
1.230
1.231
1.232 if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
1.233 @@ -5175,6 +5391,83 @@
1.234 fi
1.235
1.236
1.237 +{ echo "$as_me:$LINENO: checking for uncompress in -lz" >&5
1.238 +echo $ECHO_N "checking for uncompress in -lz... $ECHO_C" >&6; }
1.239 +if test "${ac_cv_lib_z_uncompress+set}" = set; then
1.240 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.241 +else
1.242 + ac_check_lib_save_LIBS=$LIBS
1.243 +LIBS="-lz $LIBS"
1.244 +cat >conftest.$ac_ext <<_ACEOF
1.245 +/* confdefs.h. */
1.246 +_ACEOF
1.247 +cat confdefs.h >>conftest.$ac_ext
1.248 +cat >>conftest.$ac_ext <<_ACEOF
1.249 +/* end confdefs.h. */
1.250 +
1.251 +/* Override any GCC internal prototype to avoid an error.
1.252 + Use char because int might match the return type of a GCC
1.253 + builtin and then its argument prototype would still apply. */
1.254 +#ifdef __cplusplus
1.255 +extern "C"
1.256 +#endif
1.257 +char uncompress ();
1.258 +int
1.259 +main ()
1.260 +{
1.261 +return uncompress ();
1.262 + ;
1.263 + return 0;
1.264 +}
1.265 +_ACEOF
1.266 +rm -f conftest.$ac_objext conftest$ac_exeext
1.267 +if { (ac_try="$ac_link"
1.268 +case "(($ac_try" in
1.269 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.270 + *) ac_try_echo=$ac_try;;
1.271 +esac
1.272 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.273 + (eval "$ac_link") 2>conftest.er1
1.274 + ac_status=$?
1.275 + grep -v '^ *+' conftest.er1 >conftest.err
1.276 + rm -f conftest.er1
1.277 + cat conftest.err >&5
1.278 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.279 + (exit $ac_status); } && {
1.280 + test -z "$ac_c_werror_flag" ||
1.281 + test ! -s conftest.err
1.282 + } && test -s conftest$ac_exeext &&
1.283 + $as_test_x conftest$ac_exeext; then
1.284 + ac_cv_lib_z_uncompress=yes
1.285 +else
1.286 + echo "$as_me: failed program was:" >&5
1.287 +sed 's/^/| /' conftest.$ac_ext >&5
1.288 +
1.289 + ac_cv_lib_z_uncompress=no
1.290 +fi
1.291 +
1.292 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.293 + conftest$ac_exeext conftest.$ac_ext
1.294 +LIBS=$ac_check_lib_save_LIBS
1.295 +fi
1.296 +{ echo "$as_me:$LINENO: result: $ac_cv_lib_z_uncompress" >&5
1.297 +echo "${ECHO_T}$ac_cv_lib_z_uncompress" >&6; }
1.298 +if test $ac_cv_lib_z_uncompress = yes; then
1.299 + cat >>confdefs.h <<_ACEOF
1.300 +#define HAVE_LIBZ 1
1.301 +_ACEOF
1.302 +
1.303 + LIBS="-lz $LIBS"
1.304 +
1.305 +else
1.306 +
1.307 + echo "Zlib (libz.so) could not be found, but is required."
1.308 + exit 1
1.309 +fi
1.310 +
1.311 +
1.312 +if test "$APPLE_BUILD" != 'yes'; then
1.313 +
1.314 { echo "$as_me:$LINENO: checking for glXQueryVersion in -lGL" >&5
1.315 echo $ECHO_N "checking for glXQueryVersion in -lGL... $ECHO_C" >&6; }
1.316 if test "${ac_cv_lib_GL_glXQueryVersion+set}" = set; then
1.317 @@ -5249,75 +5542,6 @@
1.318 exit 1
1.319 fi
1.320
1.321 -# On IRIX 5.3, sys/types and inttypes.h are conflicting.
1.322 -
1.323 -
1.324 -
1.325 -
1.326 -
1.327 -
1.328 -
1.329 -
1.330 -
1.331 -for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
1.332 - inttypes.h stdint.h unistd.h
1.333 -do
1.334 -as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
1.335 -{ echo "$as_me:$LINENO: checking for $ac_header" >&5
1.336 -echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
1.337 -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
1.338 - echo $ECHO_N "(cached) $ECHO_C" >&6
1.339 -else
1.340 - cat >conftest.$ac_ext <<_ACEOF
1.341 -/* confdefs.h. */
1.342 -_ACEOF
1.343 -cat confdefs.h >>conftest.$ac_ext
1.344 -cat >>conftest.$ac_ext <<_ACEOF
1.345 -/* end confdefs.h. */
1.346 -$ac_includes_default
1.347 -
1.348 -#include <$ac_header>
1.349 -_ACEOF
1.350 -rm -f conftest.$ac_objext
1.351 -if { (ac_try="$ac_compile"
1.352 -case "(($ac_try" in
1.353 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.354 - *) ac_try_echo=$ac_try;;
1.355 -esac
1.356 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.357 - (eval "$ac_compile") 2>conftest.er1
1.358 - ac_status=$?
1.359 - grep -v '^ *+' conftest.er1 >conftest.err
1.360 - rm -f conftest.er1
1.361 - cat conftest.err >&5
1.362 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.363 - (exit $ac_status); } && {
1.364 - test -z "$ac_c_werror_flag" ||
1.365 - test ! -s conftest.err
1.366 - } && test -s conftest.$ac_objext; then
1.367 - eval "$as_ac_Header=yes"
1.368 -else
1.369 - echo "$as_me: failed program was:" >&5
1.370 -sed 's/^/| /' conftest.$ac_ext >&5
1.371 -
1.372 - eval "$as_ac_Header=no"
1.373 -fi
1.374 -
1.375 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.376 -fi
1.377 -ac_res=`eval echo '${'$as_ac_Header'}'`
1.378 - { echo "$as_me:$LINENO: result: $ac_res" >&5
1.379 -echo "${ECHO_T}$ac_res" >&6; }
1.380 -if test `eval echo '${'$as_ac_Header'}'` = yes; then
1.381 - cat >>confdefs.h <<_ACEOF
1.382 -#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
1.383 -_ACEOF
1.384 -
1.385 -fi
1.386 -
1.387 -done
1.388 -
1.389 -
1.390 if test "${ac_cv_header_GL_gl_h+set}" = set; then
1.391 { echo "$as_me:$LINENO: checking for GL/gl.h" >&5
1.392 echo $ECHO_N "checking for GL/gl.h... $ECHO_C" >&6; }
1.393 @@ -5452,81 +5676,7 @@
1.394 fi
1.395
1.396
1.397 -
1.398 -{ echo "$as_me:$LINENO: checking for uncompress in -lz" >&5
1.399 -echo $ECHO_N "checking for uncompress in -lz... $ECHO_C" >&6; }
1.400 -if test "${ac_cv_lib_z_uncompress+set}" = set; then
1.401 - echo $ECHO_N "(cached) $ECHO_C" >&6
1.402 -else
1.403 - ac_check_lib_save_LIBS=$LIBS
1.404 -LIBS="-lz $LIBS"
1.405 -cat >conftest.$ac_ext <<_ACEOF
1.406 -/* confdefs.h. */
1.407 -_ACEOF
1.408 -cat confdefs.h >>conftest.$ac_ext
1.409 -cat >>conftest.$ac_ext <<_ACEOF
1.410 -/* end confdefs.h. */
1.411 -
1.412 -/* Override any GCC internal prototype to avoid an error.
1.413 - Use char because int might match the return type of a GCC
1.414 - builtin and then its argument prototype would still apply. */
1.415 -#ifdef __cplusplus
1.416 -extern "C"
1.417 -#endif
1.418 -char uncompress ();
1.419 -int
1.420 -main ()
1.421 -{
1.422 -return uncompress ();
1.423 - ;
1.424 - return 0;
1.425 -}
1.426 -_ACEOF
1.427 -rm -f conftest.$ac_objext conftest$ac_exeext
1.428 -if { (ac_try="$ac_link"
1.429 -case "(($ac_try" in
1.430 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.431 - *) ac_try_echo=$ac_try;;
1.432 -esac
1.433 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.434 - (eval "$ac_link") 2>conftest.er1
1.435 - ac_status=$?
1.436 - grep -v '^ *+' conftest.er1 >conftest.err
1.437 - rm -f conftest.er1
1.438 - cat conftest.err >&5
1.439 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.440 - (exit $ac_status); } && {
1.441 - test -z "$ac_c_werror_flag" ||
1.442 - test ! -s conftest.err
1.443 - } && test -s conftest$ac_exeext &&
1.444 - $as_test_x conftest$ac_exeext; then
1.445 - ac_cv_lib_z_uncompress=yes
1.446 -else
1.447 - echo "$as_me: failed program was:" >&5
1.448 -sed 's/^/| /' conftest.$ac_ext >&5
1.449 -
1.450 - ac_cv_lib_z_uncompress=no
1.451 -fi
1.452 -
1.453 -rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.454 - conftest$ac_exeext conftest.$ac_ext
1.455 -LIBS=$ac_check_lib_save_LIBS
1.456 -fi
1.457 -{ echo "$as_me:$LINENO: result: $ac_cv_lib_z_uncompress" >&5
1.458 -echo "${ECHO_T}$ac_cv_lib_z_uncompress" >&6; }
1.459 -if test $ac_cv_lib_z_uncompress = yes; then
1.460 - cat >>confdefs.h <<_ACEOF
1.461 -#define HAVE_LIBZ 1
1.462 -_ACEOF
1.463 -
1.464 - LIBS="-lz $LIBS"
1.465 -
1.466 -else
1.467 -
1.468 - echo "Zlib (libz.so) could not be found, but is required."
1.469 - exit 1
1.470 -fi
1.471 -
1.472 +fi
1.473
1.474
1.475 pkg_failed=no
1.476 @@ -5637,8 +5787,26 @@
1.477 GTK_LIBS=$pkg_cv_GTK_LIBS
1.478 { echo "$as_me:$LINENO: result: yes" >&5
1.479 echo "${ECHO_T}yes" >&6; }
1.480 - HAVE_GTK='yes'
1.481 -fi
1.482 +
1.483 + HAVE_GTK='yes'
1.484 +
1.485 +cat >>confdefs.h <<\_ACEOF
1.486 +#define HAVE_GTK 1
1.487 +_ACEOF
1.488 +
1.489 +
1.490 +fi
1.491 +
1.492 +
1.493 +
1.494 +if test "$HAVE_CARBON" = 'yes'; then
1.495 + GUI_CARBON_TRUE=
1.496 + GUI_CARBON_FALSE='#'
1.497 +else
1.498 + GUI_CARBON_TRUE='#'
1.499 + GUI_CARBON_FALSE=
1.500 +fi
1.501 +
1.502
1.503
1.504 if test "$HAVE_GTK" = 'yes'; then
1.505 @@ -7807,6 +7975,13 @@
1.506 Usually this means the macro was only invoked conditionally." >&2;}
1.507 { (exit 1); exit 1; }; }
1.508 fi
1.509 +if test -z "${GUI_CARBON_TRUE}" && test -z "${GUI_CARBON_FALSE}"; then
1.510 + { { echo "$as_me:$LINENO: error: conditional \"GUI_CARBON\" was never defined.
1.511 +Usually this means the macro was only invoked conditionally." >&5
1.512 +echo "$as_me: error: conditional \"GUI_CARBON\" was never defined.
1.513 +Usually this means the macro was only invoked conditionally." >&2;}
1.514 + { (exit 1); exit 1; }; }
1.515 +fi
1.516 if test -z "${GUI_GTK_TRUE}" && test -z "${GUI_GTK_FALSE}"; then
1.517 { { echo "$as_me:$LINENO: error: conditional \"GUI_GTK\" was never defined.
1.518 Usually this means the macro was only invoked conditionally." >&5
1.519 @@ -8475,13 +8650,13 @@
1.520 LIBPNG_LIBS!$LIBPNG_LIBS$ac_delim
1.521 GTK_CFLAGS!$GTK_CFLAGS$ac_delim
1.522 GTK_LIBS!$GTK_LIBS$ac_delim
1.523 +GUI_CARBON_TRUE!$GUI_CARBON_TRUE$ac_delim
1.524 +GUI_CARBON_FALSE!$GUI_CARBON_FALSE$ac_delim
1.525 GUI_GTK_TRUE!$GUI_GTK_TRUE$ac_delim
1.526 GUI_GTK_FALSE!$GUI_GTK_FALSE$ac_delim
1.527 BUILD_SH4X86_TRUE!$BUILD_SH4X86_TRUE$ac_delim
1.528 BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.529 ESOUND_CFLAGS!$ESOUND_CFLAGS$ac_delim
1.530 -ESOUND_LIBS!$ESOUND_LIBS$ac_delim
1.531 -AUDIO_ESOUND_TRUE!$AUDIO_ESOUND_TRUE$ac_delim
1.532 _ACEOF
1.533
1.534 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
1.535 @@ -8523,6 +8698,8 @@
1.536 ac_delim='%!_!# '
1.537 for ac_last_try in false false false false false :; do
1.538 cat >conf$$subs.sed <<_ACEOF
1.539 +ESOUND_LIBS!$ESOUND_LIBS$ac_delim
1.540 +AUDIO_ESOUND_TRUE!$AUDIO_ESOUND_TRUE$ac_delim
1.541 AUDIO_ESOUND_FALSE!$AUDIO_ESOUND_FALSE$ac_delim
1.542 CDROM_LINUX_TRUE!$CDROM_LINUX_TRUE$ac_delim
1.543 CDROM_LINUX_FALSE!$CDROM_LINUX_FALSE$ac_delim
1.544 @@ -8556,7 +8733,7 @@
1.545 LTLIBOBJS!$LTLIBOBJS$ac_delim
1.546 _ACEOF
1.547
1.548 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 31; then
1.549 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 33; then
1.550 break
1.551 elif $ac_last_try; then
1.552 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
.